Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.core.transaction
Interface NestableTransaction

All Superinterfaces:
  Transaction

All Known Implementing Classes:
  NestableServerTransaction

public interface NestableTransaction
extends Transaction

Interface for classes representing nestable transactions returned by `NestableTransactionManager` servers for use with transaction participants that implement the default transaction semantics.

Since:
  1.0
See Also:
  `Transaction`, `NestableTransactionManager`, `TransactionFactory`

Nested Class Summary
`static class` | `NestableTransaction.Created` Class that holds return values from create methods.

Method Summary
`NestableTransaction.Created` | `create(long leaseTime)` Create a new nested transaction, with the current transaction as parent, managed by the same transaction manager as the current transaction.
`NestableTransaction.Created` | `create(NestableTransactionManager mgr, long leaseTime)` Create a new nested transaction, with the current transaction as parent, managed by the given transaction manager.

Methods inherited from interface net.jini.core.transaction.Transaction
`abort, abort, commit, commit`

Method Detail

### create

    public NestableTransaction.Created create(NestableTransactionManager mgr,
                                              long leaseTime)
                                       throws UnknownTransactionException,
                                              CannotJoinException,
                                              LeaseDeniedException,
                                              RemoteException

  Create a new nested transaction, with the current transaction as parent, managed by the given transaction manager.

  Parameters:
    `mgr` - the transaction manager to use for this transaction
    `leaseTime` - the requested lease time for the transaction
  Returns:
    the created transaction and the lease granted
  Throws:
    `UnknownTransactionException` - if the parent transaction is unknown to the parent transaction manager, either because the transaction ID is incorrect or because the transaction is no longer active and its state has been discarded by the manager.
    `CannotJoinException` - if the parent transaction is known to the manager but is no longer active.
    `LeaseDeniedException` - if this manager is unwilling to grant the requested lease time
    `RemoteException` - if there is a communication error

### create

    public NestableTransaction.Created create(long leaseTime)
                                       throws UnknownTransactionException,
                                              CannotJoinException,
                                              LeaseDeniedException,
                                              RemoteException

  Create a new nested transaction, with the current transaction as parent, managed by the same transaction manager as the current transaction.

  Parameters:
    `leaseTime` - the requested lease time for the transaction
  Returns:
    the created transaction and the lease granted
  Throws:
    `UnknownTransactionException` - if the parent transaction is unknown to the parent transaction manager, either because the transaction ID is incorrect or because the transaction is no longer active and its state has been discarded by the manager.
    `CannotJoinException` - if the parent transaction is known to the manager but is no longer active.
    `LeaseDeniedException` - if this manager is unwilling to grant the requested lease time
    `RemoteException` - if there is a communication error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved